/*
===============================================================================
===============================================================================

file:   Buffers.h
by:     Lukasz Krzak & Marcin Krzesinski
date:   16.07.2004

description:   File contains buffer handling function headers


===============================================================================
===============================================================================
*/

/* Buffer Error Codes: */
#define BUFFER_OK                           0
#define BUFFER_OUT_OF_MEMORY                10
#define BUFFER_NOT_INITIALIZED              11
#define BUFFER_OVERRUN                      12
#define BUFFER_EMPTY                        13

/* TYPES: */

/* USART Buffer descriptor type: */
typedef struct
                {
                  char* BufferPtr;    // pointer to acctual buffer memory area
                  int8_t Size;        // size of buffer
                  char* WritePtr;     // write pointer (always points to current write position)
                  char* ReadPtr;      // read pointer (always points to current read position)
                  int8_t Count;       // number of bytes in buffer

                } TBuffer;


TBuffer *CreateBuffer(int8_t BufferSize    /* size of buffer */
                     );


int8_t WriteBuffer (TBuffer *Buffer,
                    char Byte);
                     
int8_t ReadBuffer (TBuffer *Buffer,
                            char *Destination,
                            int8_t Count);
                     
int8_t BufferCount(TBuffer *Buffer);
