/*
===============================================================================
===============================================================================

plik:   LCD.h
autor:  Lukasz Krzak & Marcin Krzesinski
data:   28.06.2004

opis:   Plik zawierajacy naglowki procedur obslugi wyswietlacza LCD
        dla procesorow AVR


===============================================================================
===============================================================================
*/

#define LOOP_TIME  0.5    // czas trwania petli _delay_loop_2 w usekundach
                          // dla fosc = 8MHz : 0.5
                          // dla fosc = 4MHz : 1
                          // dla fosc = 2MHz : 2    ... itd


/*
  Do prawidlowej pracy konieczne jest prawidlowe zdefiniowanie portu LCD
  i pinow odpowiadajacych za komunikacje z wyswietlaczem.
*/
#define LCD_PORT   PORTA // port ktorego piny polaczone sa z wyswietlaczem
// UWAGA: zakladamy ze CAY interfejs wyswietlacza miesci sie w obrebie jednego portu !!
#define LCD_DDR    DDRA  // rejestr kierunku dla portu LCD
#define LCD_E      PA5   // numer pinu na porcie LCD odpowiadajacego funkcji E
#define LCD_RS     PA4   // numer pinu na porcie LCD odpowiadajacego funkcji RS
#define LCD_DB4    PA0   // numer pinu na porcie LCD odpowiadajacego bitowi DB4
#define LCD_DB5    PA1   // numer pinu na porcie LCD odpowiadajacego bitowi DB5
#define LCD_DB6    PA2   // numer pinu na porcie LCD odpowiadajacego bitowi DB6
#define LCD_DB7    PA3   // numer pinu na porcie LCD odpowiadajacego bitowi DB7

#define LCD_MUTEXPRIO 4

/* naglowki procedur: */
void LCD_WriteByte(int8_t LCDByte, int8_t IsData);
void LCD_WriteText(char text[]);
void LCD_Goto(int8_t column, int8_t line);
void LCD_ClrLine(int8_t line);
void LCD_Init(void);
void LCD_BarGraphInit(void);
void LCD_BarGraph(int8_t line, int8_t value);

#ifdef UCOS_PROJECT
OS_EVENT *LCDMutex;
#endif
