/*
===============================================================================
===============================================================================

file:   includes.h
by:  Lukasz Krzak & Marcin Krzesinski
date:   22.06.2004

description:   header for main file (TARGET)


===============================================================================
===============================================================================
*/

/* The following definition is used to properly set up header files */
#define UCOS_PROJECT

/* Declaration below was taken from os_cfg.h file, because that file is processed
by assembler, which cannot work with that declaration.
*/

typedef unsigned char OS_FLAGS;

/* files included from WinAVR library */
#include <avr_inc/string.h>
#include <avr_inc/avr/io.h>
#include <avr_inc/avr/signal.h>
#include <avr_inc/avr/sfr_defs.h>
#include <avr_inc/avr/interrupt.h>
#include <avr_inc/inttypes.h>
#include <avr_inc/avr/delay.h>
#include <avr_inc/stdio.h>
#include <avr_inc/stdlib.h>
#include <avr_inc/avr/pgmspace.h>


/* files included from port to AVR */
#include  "os_cfg.h"
#include  "os_cpu.h"
#include  "avr_isr.h"

/* files included from uC/OS-II */
#include  "ucos_ii.h"

/* additinal files */
#include "LCD/LCD.h"
#include "USART/USART.h"
#include "VT100/VT100.h"
#include "Buffers/Buffers.h"
#include "I2C/I2C.h"


/* program files */
#include "tasks.h"

